%global momorel 1
%global md5sum_src0 ca50a357d5043e4e5f114ecda7cd1c73
Summary: Zooming predictive text entry system
Name: dasher
Version: 4.4.2
Release: %{momorel}m%{?dist}
URL: http://www.inference.phy.cam.ac.uk/dasher/
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/4.4/%{name}-%{version}.tar.bz2 %{md5sum_src0}
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: glib2-devel >= 2.12.9
BuildPreReq: gtk2-devel >= 2.10.9
BuildPreReq: GConf2-devel >= 2.18.0.1
BuildPreReq: libgnome-devel >= 2.18.0
BuildPreReq: libgnomeui-devel >= 2.18.0
BuildPreReq: gnome-vfs2-devel >= 2.18.0
BuildPreReq: gnome-speech-devel >= 0.4.10
BuildPreReq: libbonobo-devel >= 2.18.0
BuildPreReq: ORBit2-devel >= 2.14.7
BuildPreReq: libglade2-devel >= 2.6.0
BuildPreReq: at-spi-devel >= 1.18.1
BuildPreReq: intltool >= 0.35.5
BuildPreReq: gcc-c++ >= 4.1.1
BuildPreReq: desktop-file-utils >= 0.12
BuildPreReq: cairo-devel >= 1.4.0
BuildPreReq: libwnck-devel >= 2.18.0

PreReq: GConf2
PreReq: scrollkeeper

%description 
Dasher is a zooming predictive text entry system, designed for situations
where keyboard input is impractical (for instance, accessibility or PDAs). It
is usable with highly limited amounts of physical input while still allowing
high rates of text entry.

%prep
%setup -q

%build
%configure  --disable-scrollkeeper \
    --enable-joystick \
    --enable-speech
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  %{buildroot}%{_datadir}/applications/dasher.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
scrollkeeper-update
gtk-update-icon-cache -q %{_datadir}/icons/hicolor

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/dasher.schemas > /dev/null

%postun
scrollkeeper-update

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_sysconfdir}/gconf/schemas/dasher.schemas
%{_bindir}/dasher
%{_datadir}/applications/dasher.desktop
%{_datadir}/dasher
%{_datadir}/gnome/help/dasher
%{_datadir}/icons/hicolor/48x48/apps/dasher.png
%{_datadir}/icons/hicolor/scalable/apps/dasher.svg
%{_datadir}/locale/*/*/*
%{_datadir}/omf/dasher
%{_mandir}/man1/*

%changelog
* Tue May 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.4.2-1m)
- update to 4.4.2

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.1-1m)
- update to 4.4.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.4.0-1m)
- update to 4.4.0

* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3.5-2m)
- add patch0
- enable speech now

* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3.5-1m)
- update to 4.3.5
- disable speech now

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3.4-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3.4-2m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3.4-1m)
- update to 4.3.4 (unstable)

* Sun Dec 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.2-1m)
- update to 4.2.2

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.1-1m)
- update to 4.2.1

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.0-1m)
- update to 4.2.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (4.0.2-3m)
- rebuild against expat-2.0.0-1m

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.0.2-2m)
- disable japanese selection (use canna)
- disable speech. something wrong gnome-speech :-(

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2.18-4m)
- enable gcc-4.1
- add Patch0: dasher-3.2.18-gcc41.patch

* Sun Nov 20 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.2.18-3m)
- remove Patch0: dasher-3.2.11-lib64.patch(x86_64)

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.18-2m)
- add BuildRequires: libwnck-devel >= 2.12.1
- delete autoreconf and make check

* Thu Nov 17 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.18-1m)
- version up
- GNOME 2.12.1 Desktop

* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.3.11-2m)
- enable x86_64.

* Fri Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.3.11-1m)
- version 2.3.11

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.10-4m)
- add %%{_datadir}/pixmaps/dasher.png for XFce4

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.10-3m)
- add Utility to Categories of desktop file for KDE
- BuildPreReq: desktop-file-utils

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3.10-2m)
- rebuild against gcc-c++-3.4.1

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.3.10-1m)
- version 2.3.10

* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.8-3m)
- rebuild against gnome-speech-0.3.2

* Sat Apr 17 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3.8-2m)
- correct BuildPreReq:

* Fri Apr 16 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.2.8-1m)
- GNOME 2.6 Desktop
- initial import
